https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lockUpdates the lock information for a locked envelope. You must include the `X-DocuSign-Edit` header as described in EnvelopeLocks: create. Use this method to change the duration of the lock (`lockDurationInSeconds`) or the `lockedByApp` string. The request body is a full `lockRequest` object, but you only need to specify the properties that you are updating. For example: ``` { "lockDurationInSeconds": "3600", "lockedByApp": "My Application" } ```
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lockUpdates the lock information for a locked envelope. You must include the `X-DocuSign-Edit` header as described in EnvelopeLocks: create. Use this method to change the duration of the lock (`lockDurationInSeconds`) or the `lockedByApp` string. The request body is a full `lockRequest` object, but you only need to specify the properties that you are updating. For example: ``` { "lockDurationInSeconds": "3600", "lockedByApp": "My Application" } ```
The external account number (int) or account ID GUID.
The envelope's GUID. Example: `93be49ab-xxxx-xxxx-xxxx-f752070d71ec`
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PUT \2 --url 'https://www.docusign.com/v2.1/accounts/{accountId}/envelopes/{envelopeId}/lock' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}